{% extends 'base.html.twig' %}

{% block title %}Post index{% endblock %}

{% block body %}
    <h1>Post index</h1>
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary js-create-post" data-toggle="modal" data-target="#modal-post">
            <i class="fas fa-plus"></i>
            Create new
        </button>
         
    
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for post in posts %}
            <tr>
                <td>{{ post.id }}</td>
                <td>{{ post.name }}</td>
                <td>{{ post.description }}</td>
                <td>
                    {# <a href="{{ path('post_show', {'id': post.id}) }}">show</a> #} 
                    <a class="btn btn-small btn-primary"
                       data-toggle="modal"
                       data-target="#modal-post"
                       data-whatever="{{ post.id }}">View</a>
                    <button id="butinfo_{{ post.id }}" class='userinfo'>Info</button>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table> 
   <!-- THE MODAL WE WILL BE USING -->
    <div class="modal fade" id="modal-post" tabindex="-1" role="dialog" aria-labelledby="createModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
       
    </div>
    </div>
    </div>

{% endblock %}
{% block javascript %}
    {{ parent () }}
  <!-- js create -->
  <script>
 $(document).ready(function () {

  $(".js-create-book").on('click',function (event) {
      event.preventDefault();
    $.ajax({
      url: "{{ path('post_new') }}",
      type: 'get',
      beforeSend: function () {
        $("#modal-book").modal("show");
      },
      success: function (data) {
        $("#modal-book .modal-content").html(data.html_form);
      }
    });
  });

});
  </script>
{% endblock %}
